Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.contact
Class FixedCountsArrivalProcess

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.contact.ContactArrivalProcess
          umontreal.iro.lecuyer.contactcenters.contact.PoissonUniformArrivalProcess
              umontreal.iro.lecuyer.contactcenters.contact.FixedCountsArrivalProcess

All Implemented Interfaces:
  ContactSource, Initializable, Named, ToggleElement

    public class FixedCountsArrivalProcess

extends PoissonUniformArrivalProcess

Represents an arrival process in which the numbers of arrivals per-period Cp (the counts) are given (in a file or directly). A0 and AP+1, the number of arrivals during the preliminary and the wrap-up periods, respectively, are always 0 for this process. The busyness factor is always 1.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.contactcenters.contact.PoissonUniformArrivalProcess
`times`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.contact.ContactArrivalProcess
`contactEvent`

Constructor Summary
`FixedCountsArrivalProcess(PeriodChangeEvent pce, ContactFactory factory, int[] counts, RandomStream stream)` Constructs a new Poisson arrival process conditional on the number of arrivals being given in each period.

Method Summary
`double` | `getArrivalRate(int p)` Determines the arrival rate in period `p` for this arrival process.
`void` | `init()` Initializes the new arrival process.

Methods inherited from class umontreal.iro.lecuyer.contactcenters.contact.PoissonUniformArrivalProcess
`computeArrivalTimes, getArrivalRate, getArrivals, getExpectedArrivalRate, getExpectedArrivalRate, getPeriodChangeEvent, getStream, nextTime, setArrivals, setStream, toString`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.contact.ContactArrivalProcess
`addNewContactListener, clearNewContactListeners, getArrivalRates, getBusynessFactor, getContactFactory, getExpectedArrivalRateB, getExpectedArrivalRateB, getExpectedArrivalRates, getExpectedArrivalRatesB, getExpectedBusynessFactor, getName, getNewContactListeners, getNextArrivalTime, init, isStarted, notifyNewContact, removeNewContactListener, setBusynessFactor, setContactFactory, setExpectedBusynessFactor, setName, setSimulator, simulator, start, start, startStationary, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FixedCountsArrivalProcess

    public FixedCountsArrivalProcess(PeriodChangeEvent pce,
                                     ContactFactory factory,
                                     int[] counts,
                                     RandomStream stream)

  Constructs a new Poisson arrival process conditional on the number of arrivals being given in each period. With period-change event `pce`, contact factory `factory`, number of arrivals in each period `arrivals`, and random number stream `stream`.

  Parameters:
    `pce` - the period-change event defining the periods.
    `factory` - the contact factory instantiating contacts.
    `counts` - the number of arrivals in each period.
    `stream` - the random number stream for uniform arrival times.
  Throws:
    `NullPointerException` - if one argument is `null`.
    `IllegalArgumentException` - if the length of `arrivals` do not correspond to number of main periods P.

Method Detail

### init

    public void init()

  Description copied from class: `ContactArrivalProcess`
  Initializes the new arrival process. If this method is overridden by a subclass, it is important to call `super.init()` in order to ensure that everything is initialized correctly.

  Specified by:
    `init` in interface `ContactSource`
  Specified by:
    `init` in interface `Initializable`
  Overrides:
    `init` in class `PoissonUniformArrivalProcess`

### getArrivalRate

    public double getArrivalRate(int p)

  Description copied from class: `ContactArrivalProcess`
  Determines the arrival rate in period `p` for this arrival process. The arrival rate corresponds to the expected number of arrivals per simulation time unit during the specified period; one must multiply the rate by the period duration to get the expected number of arrivals during the period.

  If arrival rate is random, this returns the arrival rate for the current replication. One should use `ContactArrivalProcess.getExpectedArrivalRate(int)` or `ContactArrivalProcess.getExpectedArrivalRateB(int)` to get the expected arrival rate.

  If the arrival rate is not available, throws an `UnsupportedOperationException`.

  Overrides:
    `getArrivalRate` in class `PoissonUniformArrivalProcess`
  Parameters:
    `p` - the queried period index.
  Returns:
    the arrival rate in that period.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.